/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package hu.elte.fsz2013;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.logging.Logger;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.sql.DataSource;

/**
 *
 * @author menyhart
 */
public class Update extends HttpServlet {
    
    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
            String nev = "";
            String tipus = "";
            int db = 0;
            String id = "";
            if (request.getParameter("id") != null) {
                id = request.getParameter("id");
            }            
            if (request.getParameter("nev") != null) {
                nev = request.getParameter("nev");
            }
            if (request.getParameter("tipus") != null) {
                tipus = request.getParameter("tipus");
            }
            if (request.getParameter("db") != null) {
                try {
                    db = Integer.parseInt(request.getParameter("db"));
                } catch (Exception ex) {
                    db = 0;
                }
            }

            InitialContext ic = new InitialContext();
            DataSource ds = (DataSource) ic.lookup("jdbc/proba");
            Connection conn = ds.getConnection();
            String sql = "UPDATE APP.nonap set nev=?, tipus=?, db=? WHERE id =?";
            PreparedStatement pstmt = conn.prepareStatement(sql);

            pstmt.setString(1, nev);
            pstmt.setString(2, tipus);
            pstmt.setInt(3, db);
            pstmt.setString(1, id);
            
            pstmt.executeUpdate();

            pstmt.close();
            conn.close();
            response.sendRedirect("lista.jsp");
        } catch (SQLException sex) {
            sex.printStackTrace();
        } catch (NamingException nex) {
            nex.printStackTrace();
        } finally {
            out.close();
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
